/*
 * @Author: WuXiangNan
 * @Date: 2021-06-28 08:51:29
 * @LastEditors: WuXiangNan
 * @LastEditTime: 2021-07-12 10:33:45
 * @Description: 
 */

import 'package:app_package/app_package.dart';
import 'package:cabinet_package/src/models/auth_company.dart';
import 'package:cabinet_package/src/models/cabinet_directory.dart';
import 'package:cabinet_package/src/models/cabinet_file.dart';
import 'package:cabinet_package/src/models/cabinet_file_details.dart';
import 'package:cabinet_package/src/models/cabinet_tree.dart';

abstract class CabinetService {
  // 文件柜目录树
  Future<ResModel<List<CabinetTree>?>> getCabinetTree(companyId);
  // 文件柜目录列表查询
  Future<ResModel<CabinetDirectory>> getCabinetDrectoryList(params);
  // 文件详情
  Future<ResModel<FileDetails>> getCabinetFileDetails(id);
  // 文件预览
  Future<ResModel?> getCabinetPreview(id);
  // 文件列表
  Future<ResModel<CabinetFile>> getCabinetFileList(params);
  // 验证当前登录用户密码是否与password匹配
  Future postCabinetPwdMatch(data);
  // 登录人授权目录对应的公司列表
  Future<ResModel<List<AuthCompany>?>> getCabinetauthCompanyDict();
}
